variables:
    DOCKER_IMAGE_NAME: "$CI_REGISTRY_IMAGE/$CI_COMMIT_REF_SLUG"
    HELM_NAME: 'permission-services'
    K8S_NAMESPACE: 'permission-services'
    K8S_DEPLOYMENT_NAME: apiKeyManagement
    K8S_DEPLOYMENT_IMAGE_TAG: $CI_PIPELINE_ID

stages:
    - build
    - release
    - deploy

cache:
  paths:
    - node_modules/

include:
    - template: "Workflows/Branch-Pipelines.gitlab-ci.yml"
    - project: "operator-ict/devops/gitlab-ci-pipeline"
      file:
          - "/docker/simple-build.yml"
          - "/k8s-golemio/helm-golemio-deploy.yml"
